Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 1061053002: Fix PartialCircularBuffer OOB memcpy(). (Closed)

Created:
3 years, 4 months ago by gzobqq
Modified:
1 year ago
Reviewers:
Nico, inferno
CC:
chromium-reviews, Henrik Grunell, tommi (sloooow) - chröme
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix PartialCircularBuffer OOB memcpy(). BUG=474029 TEST=PartialCircularBufferTest.WrapTwiceWithSingleWrite NOPRESUBMIT=true Committed: https://crrev.com/ab42594ec3070953971f43b384f38f3c2b65d4ea Cr-Commit-Position: refs/heads/master@{#326341}

Patch Set 1 #

Patch Set 2 : CHECK to DCHECK #

Total comments: 10

Patch Set 3 : Addressed comments #

Total comments: 7

Patch Set 4 : Addressed comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+60 lines, -20 lines) Patch
M chrome/common/partial_circular_buffer.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/partial_circular_buffer.cc View 1 2 3 1 chunk +38 lines, -19 lines 0 comments Download
M chrome/common/partial_circular_buffer_unittest.cc View 1 2 1 chunk +21 lines, -0 lines 0 comments Download

Messages

Total messages: 34 (6 generated)
gzobqq
Nico, PTAL
3 years, 4 months ago (2015-04-07 07:20:39 UTC) #2
Nico
https://codereview.chromium.org/1061053002/diff/20001/chrome/common/partial_circular_buffer.cc File chrome/common/partial_circular_buffer.cc (right): https://codereview.chromium.org/1061053002/diff/20001/chrome/common/partial_circular_buffer.cc#newcode64 chrome/common/partial_circular_buffer.cc:64: uint32 PartialCircularBuffer::Read(void* buffer, uint32 buffer_size) { Doesn't this have ...
3 years, 4 months ago (2015-04-07 16:42:16 UTC) #3
Nico
(+ author and reviewer; maybe they remember anything about this)
3 years, 4 months ago (2015-04-07 16:43:05 UTC) #4
gzobqq
PTAL https://codereview.chromium.org/1061053002/diff/20001/chrome/common/partial_circular_buffer.cc File chrome/common/partial_circular_buffer.cc (right): https://codereview.chromium.org/1061053002/diff/20001/chrome/common/partial_circular_buffer.cc#newcode64 chrome/common/partial_circular_buffer.cc:64: uint32 PartialCircularBuffer::Read(void* buffer, uint32 buffer_size) { On 2015/04/07 ...
3 years, 4 months ago (2015-04-08 12:59:03 UTC) #5
Nico
This lgtm. The distribution of work between Write() and DoWrite feels a bit awkward. https://codereview.chromium.org/1061053002/diff/40001/chrome/common/partial_circular_buffer.cc ...
3 years, 4 months ago (2015-04-08 23:13:05 UTC) #6
gzobqq
> This lgtm. The distribution of work between Write() and DoWrite feels a bit > ...
3 years, 4 months ago (2015-04-09 08:36:40 UTC) #7
gzobqq
Nico: I guess I can't CQ before you LGTM the latest commit. PTAL once you ...
3 years, 4 months ago (2015-04-10 17:21:39 UTC) #8
gzobqq
sky@, perhaps you could take a look at this? Patch set 3 was LGTM'd by ...
3 years, 3 months ago (2015-04-22 04:43:37 UTC) #10
Nico
On 2015/04/22 04:43:37, gzobqq wrote: > sky@, perhaps you could take a look at this? ...
3 years, 3 months ago (2015-04-22 04:48:59 UTC) #11
gzobqq
On 2015/04/22 04:48:59, Nico (OOO sick) wrote: > On 2015/04/22 04:43:37, gzobqq wrote: > > ...
3 years, 3 months ago (2015-04-22 08:55:27 UTC) #13
inferno
On 2015/04/22 08:55:27, gzobqq wrote: > On 2015/04/22 04:48:59, Nico (OOO sick) wrote: > > ...
3 years, 3 months ago (2015-04-22 16:50:09 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1061053002/60001
3 years, 3 months ago (2015-04-22 16:51:31 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/58142)
3 years, 3 months ago (2015-04-22 17:06:57 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1061053002/60001
3 years, 3 months ago (2015-04-22 17:14:13 UTC) #20
commit-bot: I haz the power
Committed patchset #4 (id:60001)
3 years, 3 months ago (2015-04-22 18:25:11 UTC) #21
commit-bot: I haz the power
Patchset 4 (id:??) landed as https://crrev.com/ab42594ec3070953971f43b384f38f3c2b65d4ea Cr-Commit-Position: refs/heads/master@{#326341}
3 years, 3 months ago (2015-04-22 18:26:01 UTC) #22
gzobqq
inferno: Thanks for explaining. Now, the trybot wants my entry in AUTHORS. I'd rather stay ...
3 years, 3 months ago (2015-04-22 18:48:30 UTC) #23
gzobqq
On 2015/04/22 18:48:30, gzobqq wrote: > inferno: Thanks for explaining. > > Now, the trybot ...
3 years, 3 months ago (2015-04-22 18:51:18 UTC) #24
Nico
On 2015/04/22 18:51:18, gzobqq wrote: > On 2015/04/22 18:48:30, gzobqq wrote: > > inferno: Thanks ...
3 years, 3 months ago (2015-04-22 18:52:51 UTC) #25
gzobqq
On 2015/04/22 18:52:51, Nico (OOO sick) wrote: > On 2015/04/22 18:51:18, gzobqq wrote: > > ...
3 years, 3 months ago (2015-04-23 03:33:47 UTC) #26
Nico
On 2015/04/23 03:33:47, gzobqq wrote: > On 2015/04/22 18:52:51, Nico (OOO sick) wrote: > > ...
3 years, 3 months ago (2015-04-23 03:40:58 UTC) #27
gzobqq
On 2015/04/23 03:40:58, Nico (OOO sick) wrote: > On 2015/04/23 03:33:47, gzobqq wrote: > > ...
3 years, 3 months ago (2015-04-23 03:50:40 UTC) #28
Nico
On 2015/04/23 03:50:40, gzobqq wrote: > On 2015/04/23 03:40:58, Nico (OOO sick) wrote: > > ...
3 years, 3 months ago (2015-04-29 03:57:51 UTC) #29
gzobqq
On 2015/04/29 03:57:51, Nico wrote: > On 2015/04/23 03:50:40, gzobqq wrote: > > On 2015/04/23 ...
3 years, 3 months ago (2015-04-29 19:41:08 UTC) #30
gzobqq
AUTHORS CL link: https://codereview.chromium.org/1117763002/
3 years, 3 months ago (2015-04-29 19:43:18 UTC) #31
parmar.priyanka22
On 2015/04/29 19:43:18, gzobqq wrote: > AUTHORS CL link: https://codereview.chromium.org/1117763002/ Thanks this is great <a ...
1 year, 1 month ago (2017-06-24 20:24:38 UTC) #32
parmar.priyanka22
On 2017/06/24 20:24:38, parmar.priyanka22 wrote: > On 2015/04/29 19:43:18, gzobqq wrote: > > AUTHORS CL ...
1 year, 1 month ago (2017-06-24 20:25:00 UTC) #33
popatlal4317
1 year ago (2017-08-10 19:04:01 UTC) #34
Message was sent while issue was closed.
On 2017/06/24 20:25:00, parmar.priyanka22 wrote:
> On 2017/06/24 20:24:38, parmar.priyanka22 wrote:
> > On 2015/04/29 19:43:18, gzobqq wrote:
> > > AUTHORS CL link: https://codereview.chromium.org/1117763002/
> > 
> > Thanks this is great http://snapchatloginonline.co

> > Thank u so much for this one my brother :D http://uktvnow-apk.com

Powered by Google App Engine
This is Rietveld 408576698